Package edu.msu.cme.rdp.classifier

# Class TrainingDataException

java.lang.Object
java.lang.Throwable
java.lang.Exception
edu.msu.cme.rdp.classifier.TrainingDataException

All Implemented Interfaces:
  `Serializable`

public class TrainingDataException extends Exception
Handles the exception occurred when parsing training information.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`TrainingDataException()`
Creates a new instance of TrainingDataException without detail message.
`TrainingDataException(String msg)`
Constructs an instance of TrainingDataException with the specified detail message.
`TrainingDataException(Throwable rootCause)`
Constructs an instance of TrainingDataException with the specified root cause.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TrainingDataException

public TrainingDataException()
Creates a new instance of TrainingDataException without detail message.

### TrainingDataException

public TrainingDataException(String msg)
Constructs an instance of TrainingDataException with the specified detail message.

### TrainingDataException

public TrainingDataException(Throwable rootCause)
Constructs an instance of TrainingDataException with the specified root cause.